{% extends "base.html.twig" %}

{% block title %}Admin Panel  {% endblock title %}
{% block body %}
<div class="container">

    <h1 class="text-primary text-center my-5"><u>Admin Panel</u></h1>
    <div class="row">
        <a href="{{path('add_article')}}" class="btn btn-lg btn-primary mx-auto my-3">Ajouter un article</a>
        <table class="table table-striped border">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Article</th>
                    <th scope="col">Prix</th>
                    <th scope="col">Options</th>
                    <th scope="col">Stock</th>
                    <th scope="col">Choix</th>
                </tr>
            </thead>
            <tbody>
                {% for article in articles %}
                <tr>
                    <th scope="row">{{loop.index}}</th>
                    <td>
                        <a href="{{path('article', {'article': article.id})}}">{{article.name}}</a>
                    </td>
                    <td>{{article.price}}€</td>
                    <td>{{article.options|join(' | ')}}</td>
                    <td>{{article.stock}}</td>
                    <td>
                        <a href="{{path('article',{article:article.id})}}" type="button" class="btn btn-success"><i class="far fa-eye"></i> Voir</a>
                        <a href="{{path('modify',{article:article.id})}}" type="button" class="btn btn-danger"><i class="fas fa-edit"></i> Modifier</a>
                        <a href="{{path('remove',{article:article.id})}}" type="button" class="btn btn-primary"><i class="fas fa-times"></i> Supprimer</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>

{% endblock body %}